#!/usr/bin/lua

function has(egyik,masik)
return egyik[1] < masik[1]
end

nyelv=arg[1] or 'hu'
eredm = {}

for line in io.lines("hufo.egybe") do 
	str = string.gsub(line,'[^#]+#[^#]+#?','')	-- leszedjuk a cikk- es vegyuletnevet
	str,szam = string.gsub(str,'=','')		-- szam az = jelek szama
	eredm[szam] = (eredm[szam] or 0) + 1
end

kiir = {}
for key,value in pairs(eredm)
do	table.insert(kiir,{key,value})
end
table.sort(kiir,has)

s = 0
print('{| border="1"\n|+ A különböző atomok száma\n! Atom !! Vegyület\n|-\n')
for key,value in pairs(kiir)
do	print('| align="center" | '..value[1]..' || align="right" | [https://www.gyimesilaszlo.hu/cgi-bin/okepl.cgi?'..nyelv..'&'..value[1]..' '..value[2]..']\n|-\n')
	s = s + value[2]
end
print('! Összesen: !! align="right" | [https://www.gyimesilaszlo.hu/cgi-bin/okepl.cgi?'..nyelv..' '..s..']\n|}')
