#!/usr/bin/lua
-- Hivas: kemmol.lua kezi.kepl
-- Atalakitja az stdin-rol jovo szocikklistat:
--	torli belole a kezi.kepl-ben torlesre megadottakat,
--	hozzairja azokat, amik csak kezi.kepl-ben vannak meg, stdin-ben nincsenek.
--		Nagyon uj datumot ir hozza, hogy mindenkepp lekerdezzuk oket
--	ha egy szocikk tobbszor szerepel, a nagyobb datumut hagyja meg

eredm = {}
for line in io.lines() do
	cikk  = string.match(line,"^[^|]+")
	datum = string.match(line,"|.*$")
	if not eredm[cikk] or datum > eredm[cikk]
	then	eredm[cikk] = datum
	end
end

for line in io.lines(arg[1]) do
        cikk  = string.match(line,"^[^#]+")
	if string.match(line,"#.*$")	-- ertek
	then	eredm[cikk] = '|2038-01-19'	-- ha nem torlendo, mindenkeppen lekerdezzuk
	else	if eredm[cikk]
		then	eredm[cikk] = nil	-- torlendo
		else	io.stderr:write('* '..cikk..': nem letezo torlendo szocikk '..arg[1]..'-ben\n')
		end
	end
end

for cikk,ertek in pairs(eredm) do
	print(cikk..ertek)
end
