#!/usr/bin/lua

--[[	Hivas: kezikepl.lua gepi.kepl kezi.kepl
	Eredmeny: stdout

	A kepletfajlok alakja: cikk#nev#keplet
	kezi.kepl-ben a cikk utani # elmaradhat, ilyenkor torolni kell a vegyuletet gepi.kepl-bol.
	gepi.kepl-ben cikk#nev az elsodleges kulcs
	kezi.kepl-ben cikk az elsodleges kulcs

	A parameterfajlok megletet nem ellenorizzuk, mert azzal legfeljebb a hibajelzest tehetnenk szebbe.
]]
--print(arg[1],arg[2])

kezi = {}	-- kezi.kepl-ben egy szocikk csak egyszer lehet benne. Az utolsot hasznaljuk. true torlendo rekordot jelent.
kiirt = {}	-- kezi-bol mar kiir rekordok
for line in io.lines(arg[2]) do		-- a kezi kepletek beolvasasa
	ertek = string.match(line,"#.*$")			-- csak a cikket hasznaljuk
        kezi[string.match(line,"^[^#]+")] = ertek or true
end

for line in io.lines(arg[1]) do		-- a gepiek beolvasasa
        cikk = string.match(line,"^[^#]+")
	if kezi[cikk]	-- szerepel kezi.kepl-ben
	then	if not kiirt[cikk] and kezi[cikk] ~= true
		then	print(cikk..kezi[cikk])
			kiirt[cikk] = true
		end
        else	print(line)	-- kezi.kepl-ben nem szerepel. Kiirjuk az eredeti sort.
	end
end

for cikk,keplet in pairs(kezi) do	-- kiirjuk kezi.kepl eddig kiiratlan sorait
	if not kiirt[cikk] and keplet ~= true then print(cikk..keplet) end
end
